# broken evms workaround (useful for partitions)
# convert bootdev partition to evms device if it exists...

# /dev/sda5 -> /dev/evms/sda5
# /dev/disk/by-id/scsi-SATA_ST3250820AS_5QE2FCJP-part5 -> /dev/evms/sda5
# /dev/sda -> ""

# 2009/06/05 - now we can't use uuid to find 
#   corresponding /dev/evms/* partitions
#   Let's do it in a strightforward way as in get_part_with_mntpt
evms_protection(){
  local dev="$(readlink -f "$1" |
    sed -e 's,^/dev/md,/dev/md/md,;s,^/dev/,/dev/evms/,')"
  [ -b "$dev" ] && echo "$dev" || echo "$1"
}
